Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms
Interface CommandFactory

All Known Implementing Classes:
  JCRCommandFactory

    public interface CommandFactory

Factory to create commands for the cms service.

Version:
  $Revision: 8332 $
Author:
  Julien Viet

Method Summary
`Command` | `createAsyncStoreArchiveCommand(CMS cms, java.lang.String sRootPath, java.io.InputStream is, java.lang.String sLanguage)`
`Command` | `createContentCreateNewVersionCommand(Content content, boolean bMakeLive)`
`Command` | `createContentCreateNewVersionCommand(java.util.List contents, boolean bMakeLive)`
`Command` | `createContentGetCommand(java.lang.String sFilePath, java.lang.String sVersionNumber, java.util.Locale locale)`
`Command` | `createContentGetVersionsCommand(java.lang.String sFilePath)`
`Command` | `createContentSaveCommand(File file)`
`Command` | `createCopyCommand(java.lang.String sFromPath, java.lang.String sToPath)`
`Command` | `createDeleteCommand(java.lang.String sPath)`
`Command` | `createFileGetCommand(java.lang.String sFilePath, java.util.Locale locale)`
`Command` | `createFileGetCommand(java.lang.String sFilePath, java.lang.String sVersionNumber, java.util.Locale locale)`
`Command` | `createFileGetListCommand(java.lang.String sFilePath)`
`Command` | `createFileSaveCommand(File file)`
`Command` | `createFileUpdateCommand(File file)`
`Command` | `createFolderGetCommand(java.lang.String sFolderPath)`
`Command` | `createFolderGetListCommand(java.lang.String sFolderPath)`
`Command` | `createFolderSaveCommand(Folder folder)`
`Command` | `createFolderUpdateCommand(Folder folder)`
`Command` | `createGetArchiveCommand(java.lang.String sRootPath, java.lang.String sLanguage)`
`Command` | `createItemExistsCommand(java.lang.String sPath)`
`Command` | `createMakeLiveVersionCommand(java.lang.String filePath, java.lang.String language, java.lang.String version)`
`Command` | `createMoveCommand(java.lang.String sFromPath, java.lang.String sToPath)`
`Command` | `createNewFileCommand(File sFile, Content content)`
`Command` | `createRenameCommand(java.lang.String sPath, java.lang.String sNewName)`
`Command` | `createSearchCommand(org.jboss.portal.search.impl.jcr.JCRQuery query)`
`Command` | `createStoreArchiveCommand(java.lang.String sRootPath, java.io.InputStream is, java.lang.String sLanguage)`
`Command` | `createUpdateFileCommand(File sFile, Content content, boolean makeLive)`

Method Detail

### createNewFileCommand

    Command createNewFileCommand(File sFile,
                                 Content content)

### createUpdateFileCommand

    Command createUpdateFileCommand(File sFile,
                                    Content content,
                                    boolean makeLive)

### createCopyCommand

    Command createCopyCommand(java.lang.String sFromPath,
                              java.lang.String sToPath)

### createMoveCommand

    Command createMoveCommand(java.lang.String sFromPath,
                              java.lang.String sToPath)

### createRenameCommand

    Command createRenameCommand(java.lang.String sPath,
                                java.lang.String sNewName)

### createDeleteCommand

    Command createDeleteCommand(java.lang.String sPath)

### createFileSaveCommand

    Command createFileSaveCommand(File file)

### createFileGetCommand

    Command createFileGetCommand(java.lang.String sFilePath,
                                 java.util.Locale locale)

### createFileGetCommand

    Command createFileGetCommand(java.lang.String sFilePath,
                                 java.lang.String sVersionNumber,
                                 java.util.Locale locale)

### createFileUpdateCommand

    Command createFileUpdateCommand(File file)

### createFolderSaveCommand

    Command createFolderSaveCommand(Folder folder)

### createFolderGetCommand

    Command createFolderGetCommand(java.lang.String sFolderPath)

### createFolderUpdateCommand

    Command createFolderUpdateCommand(Folder folder)

### createContentGetVersionsCommand

    Command createContentGetVersionsCommand(java.lang.String sFilePath)

### createFolderGetListCommand

    Command createFolderGetListCommand(java.lang.String sFolderPath)

### createContentCreateNewVersionCommand

    Command createContentCreateNewVersionCommand(Content content,
                                                 boolean bMakeLive)

### createContentCreateNewVersionCommand

    Command createContentCreateNewVersionCommand(java.util.List contents,
                                                 boolean bMakeLive)

### createStoreArchiveCommand

    Command createStoreArchiveCommand(java.lang.String sRootPath,
                                      java.io.InputStream is,
                                      java.lang.String sLanguage)

### createAsyncStoreArchiveCommand

    Command createAsyncStoreArchiveCommand(CMS cms,
                                           java.lang.String sRootPath,
                                           java.io.InputStream is,
                                           java.lang.String sLanguage)

### createItemExistsCommand

    Command createItemExistsCommand(java.lang.String sPath)

### createContentSaveCommand

    Command createContentSaveCommand(File file)

### createContentGetCommand

    Command createContentGetCommand(java.lang.String sFilePath,
                                    java.lang.String sVersionNumber,
                                    java.util.Locale locale)

### createFileGetListCommand

    Command createFileGetListCommand(java.lang.String sFilePath)

### createGetArchiveCommand

    Command createGetArchiveCommand(java.lang.String sRootPath,
                                    java.lang.String sLanguage)

### createSearchCommand

    Command createSearchCommand(org.jboss.portal.search.impl.jcr.JCRQuery query)

### createMakeLiveVersionCommand

    Command createMakeLiveVersionCommand(java.lang.String filePath,
                                         java.lang.String language,
                                         java.lang.String version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.